Subject: Re: [CODE4LIB] Alert!

From: Peter Schlumpf <[email-masked]>
Date: Wed, 23 Dec 2009 13:29:02 -0500

This is an interesting piece.  I don't think I would go so far as to advocate all librarians become programmers anymore than to advocate that all chefs should become forgers of their own cutlery.  Awareness though, of how these things are made, and the user of such tools having input into their design should be sufficient.

Everything is an API, really.  The handle of a knife is an interface just as much a programming language is to a computer.  He makes good points about APIs, but it's a little too web-centric.  

Layers of abstraction may be a better term than API.

Only now, after over 20 years of watching this thing grow up, am I becoming convinced that this Web stuff may be here to stay for awhile.  Not because it's particularly good (it's pretty awful by design) but because the approach has gained so much momentum.  APIs do really affect how we look at things.  They are the containers into which we pour content.

Peter Schlumpf
www.avantilibrarysystems.com

-----Original Message-----
>From: Glen Newton <[email-masked]>
>Sent: Dec 23, 2009 12:10 PM
>To: [email-masked]
>Subject: [CODE4LIB] Alert! "Programming skills could transform librarians' roles"
>
>Dude doesn't mention code4lib.
>Dude should do better research.
>
>"Programming skills could transform librarians' roles"
>
>"To keep pace with information changes and the needs of users,
>librarians need some programming skills, argues David Stuart"
>http://www.researchinformation.info/features/feature.php?feature_id=245
>
>-- 
>Glen Newton | [email-masked]
>Researcher, Information Science, CISTI Research
>& NRC W3C Advisory Committee Representative
>http://tinyurl.com/yvchmu
>tel/t l: 613-990-9163 | facsimile/t l copieur 613-952-8246
>Canada Institute for Scientific and Technical Information (CISTI)
>National Research Council Canada (NRC)| M-55, 1200 Montreal Road
>http://www.nrc-cnrc.gc.ca/
>Institut canadien de l'information scientifique et technique (ICIST) 
>Conseil national de recherches Canada | M-55, 1200 chemin Montr al
>Ottawa, Ontario K1A 0R6  
>Government of Canada | Gouvernement du Canada   
>--